package models
import org.squeryl._
import org.squeryl.dsl._
import org.squeryl.dsl.ast._
import org.squeryl.KeyedEntity
case class DesignChange(var dcNo:String, var dcDescription:String) extends KeyedEntity[Long] {
  val id:Long=0
  
  lazy val delPartRelation:OneToMany[PartRelation] = PartsListDb.designChangeDelRelations.left(this)
  lazy val addPartRelation:OneToMany[PartRelation] = PartsListDb.designChangeAddRelations.left(this)

}